problem on debian stretch

Post Reply
diigitae
Posts: 7
Joined: 17 Jan 2019 21:52

problem on debian stretch

Post by diigitae » 17 Jan 2019 22:00

hello i have any problem (i have send you the bug kjetil) radium don't work,5.3.3 don't boot and 5.9.22 boot but give me a bug and i can't use it .
i have reinstall open gl qt5 tk and glib2 it doesnt change anything


ps:i'm suscriber so it's not a own compilation but yours kjetil



kjetil
Site Admin
Posts: 185
Joined: 20 Jul 2017 20:45

Re: problem on debian stretch

Post by kjetil » 18 Jan 2019 06:16

Hi,

Yes, I got the crash reports. Do you know when this problem started? What is the last version of Radium that works?

From the backtrace it seems like it's crashing inside opengl. Can you post the output of
glxgears -info
?
(put the text inside quotes, i.e. the fourth button from the left above)

diigitae
Posts: 7
Joined: 17 Jan 2019 21:52

Re: problem on debian stretch

Post by diigitae » 20 Jan 2019 01:24

i have reinstall my OS so I'll try tomorrow don't know when it was made since i have not reinstall radium for a while maybe can it's cause my nvidia graphic card(don't know maybe)

diigitae
Posts: 7
Joined: 17 Jan 2019 21:52

Re: problem on debian stretch

Post by diigitae » 20 Jan 2019 01:25

Xlib: extension "GLX" missing on display ":0".
Error: couldn't get an RGB, Double-buffered visual
your command say this

diigitae
Posts: 7
Joined: 17 Jan 2019 21:52

Re: problem on debian stretch

Post by diigitae » 20 Jan 2019 01:45

the problem is solved by installing a more recent nvidia driver and so others nvidia glx,it work thank's to your advices

diigitae
Posts: 7
Joined: 17 Jan 2019 21:52

Re: problem on debian stretch

Post by diigitae » 20 Jan 2019 02:21

i have test radium and it was crashing but i have blacklist nouveau (arggh) and it seem to be working well

kjetil
Site Admin
Posts: 185
Joined: 20 Jul 2017 20:45

Re: problem on debian stretch

Post by kjetil » 20 Jan 2019 08:57

Great to hear your problem was fixed.

So Radium crashed even before it got the chance to give a warning about the Nouveau driver? It's hard to know whether to give warning about the Nouveau opengl driver crashing when you don't know which driver is running yet because the opengl driver crashed when probing it.

Maybe a warning can be added to the "run_radium.sh" script somehow...

Post Reply